Bug 46172 - linux_base-7.1_2 install problem w/linprocfs mounted
Summary: linux_base-7.1_2 install problem w/linprocfs mounted
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-12-10 20:40 UTC by Lars Eggert
Modified: 2003-06-10 15:58 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Eggert 2002-12-10 20:40:03 UTC
Installation of linux_base-7.1_2 fails when linprocfs is mounted. Unmounting linprocfs before installing works around the issue. See install trace below.

Fix: 

umount /usr/compat/linux/proc
portupgrade linux_base
How-To-Repeat: 
[root@nik: /usr/obj/usr/src/sys/KERNEL-1.12] portupgrade -f linux_base
--->  Reinstalling 'linux_base-7.1_2' (emulators/linux_base)
--->  Building '/usr/ports/emulators/linux_base'
===>  Cleaning for rpm-3.0.6_6
===>  Cleaning for libiconv-1.8_2
===>  Cleaning for autoconf213-2.13.000227_5
===>  Cleaning for automake14-1.4.5_9
===>  Cleaning for gettext-0.11.5_1
===>  Cleaning for gmake-3.80
===>  Cleaning for libtool-1.3.4_4
===>  Cleaning for m4-1.4_1
===>  Cleaning for popt-1.6.4
===>  Cleaning for perl-5.6.1_11
===>  Cleaning for expat-1.95.5
===>  Cleaning for linux_base-7.1_2
===>  Extracting for linux_base-7.1_2
Comment 1 Tom Hukins freebsd_committer 2002-12-11 15:19:02 UTC
Responsible Changed
From-To: gnats-admin->freebsd-ports

Misfiled Ports problem.
Comment 2 Trevor Johnson freebsd_committer 2003-06-10 15:57:52 UTC
State Changed
From-To: open->closed

patched--thank you, Lars